OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_HOfReal Class Reference

`#include <PColStd_HOfReal.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_HOfReal ()
virtual Standard_EXPORT Standard_Integer | HashCode (const Standard_Real &MyKey, const Standard_Integer Upper) const
virtual Standard_EXPORT Standard_Boolean | Compare (const Standard_Real &One, const Standard_Real &Two) const
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PColStd_HOfReal_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_HOfReal::PColStd_HOfReal | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean PColStd_HOfReal::Compare | ( | const Standard_Real & | One,
|  | const Standard_Real & | Two
| ) | const`[virtual]`

virtual Standard_EXPORT Standard_Integer PColStd_HOfReal::HashCode | ( | const Standard_Real & | MyKey,
|  | const Standard_Integer | Upper
| ) | const`[virtual]`

void PColStd_HOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_HOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_HOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_HOfReal_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_HOfReal.hxx